Subject: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: Kei Kebreau <[email-masked]>
Date: Thu, 08 Jun 2017 08:35:40 -0400

Mark H Weaver <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Mark H Weaver <[email-masked]> writes:
>>
>>> I have a question: Does GNOME 3 work for *anyone* in Guix now?  If so,
>>> that would be useful information.  If not, I wonder why this got merged
>>> into master.
>>
>> I'm sorry, I don't actually use GNOME and should have tested it before
>> pushing. I have been busy lately and didn't want to hold up the branch.
>
> In the future, I think that pushing an updated desktop environment to
> master should only be performed by someone who is able and willing to
> test it.  Modern desktop environments are quite complex, and many things
> can go wrong even if the code compiles.
>

I had intended to test GNOME as a whole before having it pushed to
master, but the speed of my hardware is an impediment to updating the
packages in a timely fashion. I'd be more than willing to take up
learning how GNOME works and maintenance of the GNOME packages, but
things will take longer (though that's certainly more tolerable than a
broken GNOME desktop).

>> It would be good to have a system test for GNOME and other DEs so we can
>> catch these problems earlier.
>
> I agree that it would be good to have this, but it would require a
> massive effort to produce a sufficiently comprehensive test suite to
> render manual testing unnecessary.  In the meantime, automated testing
> is not an adequate substitute for user testing.  To my mind, only
> someone who actually uses the DE in question to do real work will be
> able to meaningfully judge the result as usable.
>
>> I'll try to help fixing this later today, but feel free to revert the
>> updates meanwhile.
>
> GNOME contains a great many components, and I don't fully understand
> their interdependencies.  It's not something that can be easily
> reverted.
>
>       Mark